Restaurantscript.com is a Php Restaurant Software ready to be installed on your web server. This script is tested on many servers with different setups, it will run fine on standard web server or shared hosting plan. It comes with a simple installer so if you know how to install WordPress then you are good to go with SocialStrap. If youre not sure please ask your server administrator or hosting provider about these requirements:

PHP
PHP Script   PHP 5.6.x or later

MySQL server
PHP Script MySQL version 5.5 or later
(we recommend the very latest stable release)

PHP Decoders
PHP Script Portions of the Eicra Script code are encoded and require a PHP decoder in order to run. There are two available, both free.

PHP application script Zend Optimizer version 3.3.3 or later
OR
ionCube Loader version 4.7.1 (Higher)

MySQL server
Customized PHP web application Any web server daemon - such as Apache, nginx, IIS which is fully compatible with the required PHP configuration.

  • Operating System - Solaris, Linux, BSD, Windows or Mac
  • GD complied with your PHP Build - Yes
  • SendMail - Yes
  • PHP safe mode - OFF
  • PHP memory_limit - 128M
  • PHP CURL - Yes
  • Minimum Web Space - 500 mb

Optional Server Requirements
Customized PHP web application The requirements listed below are only required if you decide to use one of the following optional modules.


  • Video Module
  • Music Module
    • PHP file_uploads - 1
    • PHP post_max_size - 10M
    • PHP max_input_time - -1
    • PHP upload_max_filesize - 20M
  • Short URL
    • mod_rewrite (Apache)
  • Facebook Connect